### Function

# FwupdPlugin input_stream_find

#### Declaration [src]

    gboolean
    fu_input_stream_find (
      GInputStream* stream,
      const guint8* buf,
      gsize bufsz,
      gsize offset,
      gsize* offset_found,
      GError** error
    )

#### Description [src]

Find a memory buffer within an input stream, without loading the entire stream into a buffer.

Available since: | 2.0.18

#### Parameters

`stream` | `GInputStream`
| A `GInputStream`.
| The data is owned by the caller of the function.
`buf` | `const guint8*`
| Input buffer to look for.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| Size of `buf`.
`offset` | `gsize`
| Starting offset, typically 0x0
`offset_found` | `gsize*`
| Found offset.
| The argument will be set by the function.
| The argument can be set to `NULL`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if `buf` was found.